in scala.xml
object XML

`object` XML
  `extends` java.lang.Object
  `with` scala.ScalaObject

  constants, and functions to load and save XML elements. use this when data binding is not desired, i.e. when XML is handled using Symbol nodes

Constructor Summary
| `def` this

Def Summary
`final` | `def` load ( is : java.io.InputStream ) : scala.xml.Elem loads XML from given InputStream
`final` | `def` load ( reader : java.io.Reader ) : scala.xml.Elem loads XML from given Reader
`final` | `def` load ( source : org.xml.sax.InputSource ) : scala.xml.Elem loads XML from a given input source
`final` | `def` load ( sysID : java.lang.String ) : scala.xml.Elem loads XML from given sysID
`final` | `def` loadFile ( file : java.io.File ) : scala.xml.Elem loads XML from given file
`final` | `def` loadFile ( fileDesc : java.io.FileDescriptor ) : scala.xml.Elem loads XML from given file descriptor
`final` | `def` loadFile ( fileName : java.lang.String ) : scala.xml.Elem loads XML from given file
`final` | `def` loadString ( string : java.lang.String ) : scala.xml.Elem loads XML from a string
`final` | `def` save ( filename : java.lang.String , doc : scala.xml.Elem ) : scala.Unit saves XML to filename with encoding ISO-8859-1

Constructor Detail

`def` this

Def Detail

final `def` load ( is : java.io.InputStream ) : scala.xml.Elem

  loads XML from given InputStream

final `def` load ( reader : java.io.Reader ) : scala.xml.Elem

  loads XML from given Reader

final `def` load ( source : org.xml.sax.InputSource ) : scala.xml.Elem

  loads XML from a given input source

final `def` load ( sysID : java.lang.String ) : scala.xml.Elem

  loads XML from given sysID

final `def` loadFile ( file : java.io.File ) : scala.xml.Elem

  loads XML from given file

final `def` loadFile ( fileDesc : java.io.FileDescriptor ) : scala.xml.Elem

  loads XML from given file descriptor

final `def` loadFile ( fileName : java.lang.String ) : scala.xml.Elem

  loads XML from given file

final `def` loadString ( string : java.lang.String ) : scala.xml.Elem

  loads XML from a string

final `def` save ( filename : java.lang.String , doc : scala.xml.Elem ) : scala.Unit

  saves XML to filename with encoding ISO-8859-1